#include <blitz/godot/World.h>

namespace blitz {

class ClientWorld : public World {
	GDCLASS(ClientWorld, World)
  protected:
	static void _bind_methods();

  public:
	ClientWorld();
	~ClientWorld();
	void _process(float delta);

	void HandlePacket(const protocol::packets::PlayerPositionAndRotation&) override;

  private:
    void UpdatePlayerPos();
};

}  // namespace blitz